#ifndef INTSTACK_H
#define INTSTACK_H

#include "intlist.h"

struct intstack {
	struct intlist * l;
};

struct intstack * intstackCreate();
void intstackFree(struct intstack * s);

struct intstack * intstackCopy(struct intstack * s);

int intstackTop(struct intstack * s);
void intstackPush(struct intstack * s,int element);
int intstackPop(struct intstack * s);

int intstackSize(struct intstack * s);
int intstackIsEmpty(struct intstack * s);

void intstackClear(struct intstack * s);

void intstackDisplay(struct intstack * s);

#endif
